# Created by pyp2rpm-3.3.8
%global pypi_name pydrive2
%global srcname PyDrive2

Name:           python-%{pypi_name}
Version:        1.19.0
Release:        %mkrel 3
Summary:        Google Drive API made easy. Maintained fork of PyDrive
Group:          Development/Python
License:        Apache License 2.0
URL:            https://github.com/iterative/PyDrive2
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(google-api-python-client)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(oauth2client)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(pyopenssl)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(furo)

%description
PyDrive2 is a wrapper library of google-api-python-client that simplifies many
common Google Drive API V2 tasks. It is an actively maintained fork of PyDrive.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Provides:	python3-PyDrive2 = %{version}-%{release}
Obsoletes:	python3-pydrive < 1.3.1-2

%description -n python3-%{pypi_name}
PyDrive2 is a wrapper library of google-api-python-client that simplifies many
common Google Drive API V2 tasks. It is an actively maintained fork of PyDrive.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.*
%doc html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.19.0-3.mga10
+ Revision: 2241784
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.19.0-2.mga10
+ Revision: 2158475
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 1.19.0-1.mga10
+ Revision: 2043877
- new version: 1.19.0
- switch to pyproject

* Sat Feb 24 2024 daviddavid <daviddavid> 1.10.1-2.mga10
+ Revision: 2043876
- rebuild for py3.12

* Sun May 29 2022 wally <wally> 1.10.1-1.mga9
+ Revision: 1860666
- imported package python-pydrive2

